Bug 889091 - Commit per node transition and recovery support
Summary: Commit per node transition and recovery support
Keywords:
Status: NEW
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5
Version: BRMS 5.3.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Shelly McGowan
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-20 08:10 UTC by Toshiya Kobayashi
Modified: 2020-04-27 01:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 958386 (view as bug list)
Environment:
Last Closed:
Type: Feature Request


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBPM-3889 0 Major Open Commit per node transition and recovery support 2015-09-29 12:38:12 UTC
Red Hat Issue Tracker PRODMGT-303 0 Major Pending Engineering Triage Commit per node transition and recovery support in jBPM 2015-09-29 12:38:12 UTC

Description Toshiya Kobayashi 2012-12-20 08:10:47 UTC
Description of problem:

a) Being able to commit a transaction per node transition regardless of synchronous or asynchronous. Hopefully by configuration basis (not additional development effort by users)

b) Recovery support (continuing process instance execution) after JVM reboot (including JVM crash case). The key point is less development effort by users

Comment 1 JBoss JIRA Server 2013-01-07 02:48:37 UTC
Toshiya Kobayashi <tkobayas@redhat.com> made a comment on jira JBPM-3889

Attached an example, which demonstrates that commit per node transition with BRMS 5.3.0. The customer doesn't feel nice with it because it requires development on their side and more development if they consider recovery which is described in (b).

FYI : "jBPM5 Developer Guide" Chapter 11 suggests persisting BusinessEntity object to hold ksessionId/processInstanceId/workItemId relation in WorkItemHandler for async WorkItem but it has the same concern... Isn't it too much effort on application side? Can jBPM provide some help out-of-box?


Note You need to log in before you can comment on or make changes to this bug.